#!/bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/pam.d/chage.new
config etc/pam.d/chfn.new
config etc/pam.d/chpasswd.new
config etc/pam.d/chsh.new
config etc/pam.d/ftp.new
config etc/pam.d/gpasswd.new
config etc/pam.d/groupadd.new
config etc/pam.d/groupdel.new
config etc/pam.d/groupmod.new
config etc/pam.d/login.new
config etc/pam.d/newusers.new
config etc/pam.d/other.new
config etc/pam.d/passwd.new
config etc/pam.d/pop.new
config etc/pam.d/rexec.new
config etc/pam.d/rlogin.new
config etc/pam.d/rsh.new
config etc/pam.d/shadow.new
config etc/pam.d/sieve.new
config etc/pam.d/smtp.new
config etc/pam.d/su.new
config etc/pam.d/useradd.new
config etc/pam.d/userdel.new
config etc/pam.d/usermod.new
config etc/pam.conf.new
config etc/security/access.conf.new
config etc/security/group.conf.new
config etc/security/limits.conf.new
config etc/security/pam_env.conf.new
config etc/security/time.conf.new


rm -f etc/pam.d/chage.new
rm -f etc/pam.d/chfn.new
rm -f etc/pam.d/chpasswd.new
rm -f etc/pam.d/chsh.new
rm -f etc/pam.d/ftp.new
rm -f etc/pam.d/gpasswd.new
rm -f etc/pam.d/groupadd.new
rm -f etc/pam.d/groupdel.new
rm -f etc/pam.d/groupmod.new
rm -f etc/pam.d/login.new
rm -f etc/pam.d/newusers.new
rm -f etc/pam.d/other.new
rm -f etc/pam.d/passwd.new
rm -f etc/pam.d/pop.new
rm -f etc/pam.d/rexec.new
rm -f etc/pam.d/rlogin.new
rm -f etc/pam.d/rsh.new
rm -f etc/pam.d/shadow.new
rm -f etc/pam.d/sieve.new
rm -f etc/pam.d/smtp.new
rm -f etc/pam.d/su.new
rm -f etc/pam.d/useradd.new
rm -f etc/pam.d/userdel.new
rm -f etc/pam.d/usermod.new
rm -f etc/pam.conf.new
rm -f etc/security/access.conf.new
rm -f etc/security/group.conf.new
rm -f etc/security/limits.conf.new
rm -f etc/security/pam_env.conf.new
rm -f etc/security/time.conf.new



( cd lib ; rm -rf libpam.so )
( cd lib ; ln -sf libpam.so.0.81.2 libpam.so )
( cd lib ; rm -rf libpam.so.0 )
( cd lib ; ln -sf libpam.so.0.81.2 libpam.so.0 )
( cd lib ; rm -rf libpam_misc.so )
( cd lib ; ln -sf libpam_misc.so.0.81.2 libpam_misc.so )
( cd lib ; rm -rf libpam_misc.so.0 )
( cd lib ; ln -sf libpam_misc.so.0.81.2 libpam_misc.so.0 )
( cd lib ; rm -rf libpamc.so )
( cd lib ; ln -sf libpamc.so.0.81.0 libpamc.so )
( cd lib ; rm -rf libpamc.so.0 )
( cd lib ; ln -sf libpamc.so.0.81.0 libpamc.so.0 )
( cd usr/include ; ln -sf pam security )